
<div class="container" ng-show="tablevisible">
     <div class="jumbotron">


         <div class="col-md-3 col-sm-3 col-xs-8 form-group pull-right top_search">
             <div class="input-group">
                 <input type="text" class="form-control" placeholder="Search for..." ng-model="searchtext">
                 <span class="input-group-btn">
                      <button class="btn btn-default" type="button">Go!</button>
                    </span>
             </div>
         </div>
    <button ng-click="showhide()"class="w3-button w3-green w3-border">Add New&nbsp;<i class="fa fa-plus" aria-hidden="true"></i></button>
         <div class="mystyle">
         <button data-ng-click="exportAction('csv')"class="w3-button  w3-indigo">CSV</button>
         <button data-ng-click="exportAction('excel')"class="w3-button  w3-indigo">Excel</button>
         <button data-ng-click="exportAction('doc')"class="w3-button  w3-indigo"> Doc</button>
         <button data-ng-click="exportAction('pdf')"class="w3-button  w3-indigo">Pdf</button><br><br>
         </div>

         <div class="text-center">

    <table class="table table-striped table-bordered" export-table>

        <thead>
        <tr>
            <th ng-repeat="formhead in userallmytimesheetsJsonConfig"  ng-if="formhead.name!=='Employeeid'">{{formhead.name}}</th>
            <th>Action</th>
        </tr>
        </thead>

        <tbody>
        <tr ng-repeat="userpendingtimesheets in disApprovedTask|filter:searchtext">
            <td ng-repeat="(key, value) in userpendingtimesheets"  ng-if="key!=='__v'&&key!='_id'">{{value}}</td>
            <td class="text-center">
                <a class='btn btn-info btn-xs'
                   ng-click="responseRequest(userpendingtimesheets._id)">
                    <span class="glyphicon glyphicon-edit" ></span> Approve Discussion
                </a>
            </td>

        </tr>

        </tbody>

    </table>
    </div>

</div>




</div>

    <div class="modal fade" id="myModal" role="dialog">

            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Confirm Deletion</h4>
                </div>
                <div class="modal-body">
                    <p>Are you sure you want to delete this item ?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal"  id="btnClose">Close</button>
                    <button type="submit" class="btn btn-default" ng-click="deleteuserpendingtimesheetsDetails(userpendingtimesheetsDetails.mongodbIdForDelete)">
                        Delete</button>

                </div>
            </div>

        </div>
    </div>


    <!--edit copy form-->
   <!-- <div class="container" ng-show="formvisible">
    <div class="jumbotron text-center">-->
<div class="row" ng-show="formvisible">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>pendingtime sheets<small>user</small></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <br />

<!--{{userpendingtimesheetsJsonConfig}}-->
        <json-from json-config=userpendingtimesheetsJsonConfig></json-from>
        <!--{{userpendingtimesheetsJsonConfig}}-->
        {{jsonConfig}}
                <div class="ln_solid"></div>

                <div class="form-group">
            <div class="col-sm-offset-6 col-sm-4">
                <button type="close" class="btn " ng-click="showhide()"><i class="fa fa-times" aria-hidden="true" ng-click="showhide()"></i>close</button>
                <button type="submit" class="btn btn-primary" ng-click="saveuserpendingtimesheets(userpendingtimesheetsJsonConfig)"><i class="fa fa-floppy-o" aria-hidden="true">save</i></button>
            </div>
        </div>
    </div>
        </form>
        </div>
    </div>
</div>


    <!--<div class="container" ng-show="form2visible">
    <div class="jumbotron text-center">-->
<div class="row" ng-show="form2visible">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>pendingtime sheets <small>user</small></h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <br />


        <edit-from json-config="userpendingtimesheetsEditJsonConfig"></edit-from>
                <div class="ln_solid"></div>

                <div class="form-group">
            <div class="col-sm-offset-6 col-sm-4">
                <button type="close" class="btn " ng-click="showhide2()"><i class="fa fa-times" aria-hidden="true">close</i></button>
                <button type="submit" class="btn btn-primary"  ng-click="updateuserpendingtimesheetsDetailsToDb(userpendingtimesheetsEditJsonConfig)">
                Update</button>
                <!--<button type="submit" class="btn btn-primary"  ng-click="updateuserpendingtimesheetsDetailsToDb(userpendingtimesheetsEditJsonConfig)">-->
                    <!--Update</button>-->
            </div>
        </div>
        </form>
    </div>
</div>
</div>
    </div>






